package com.younki.maidmatching.services.Adapter;

import com.younki.maidmatching.services.HTTP.UserResponse;

import java.util.List;

public class UserData {
    private int id;
    private int role;
    private String name;
    private String username;
    private String email;
    private List<UserResponse.Data.Skill> skill;
    private UserResponse.Data.Profile profile;

    public UserData(int id, int role, String name, String username, String email, List<UserResponse.Data.Skill> skill, UserResponse.Data.Profile profile) {
        this.id = id;
        this.role = role;
        this.name = name;
        this.username = username;
        this.email = email;
        this.skill = skill;
        this.profile = profile;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public List<UserResponse.Data.Skill> getSkill() {
        return skill;
    }

    public void setSkill(List<UserResponse.Data.Skill> skill) {
        this.skill = skill;
    }

    public UserResponse.Data.Profile getProfile() {
        return profile;
    }

    public void setProfile(UserResponse.Data.Profile profile) {
        this.profile = profile;
    }
}
